curl --location --request POST 'http://127.0.0.1:8000/api/merchants/refund_request/initiate_refund_transfer/' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--body-data 'id:<refund_record_id>, status:approved'
"refund reques completed."
Refund API
Initiate Refund Transfer
Initiate a refund transfer.
POST
/
api
/
merchants
/
refund_request
/
initiate_refund_transfer
/
curl --location --request POST 'http://127.0.0.1:8000/api/merchants/refund_request/initiate_refund_transfer/' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--body-data 'id:<refund_record_id>, status:approved'
"refund reques completed."
header
string
The authentication token that you will get in the success response on ‘verify_user’ api.
body
string
The refund id you will get when Refund object created.
Response
number
This Response field will return “Refund Success” with status code 200 on success request.
curl --location --request POST 'http://127.0.0.1:8000/api/merchants/refund_request/initiate_refund_transfer/' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--body-data 'id:<refund_record_id>, status:approved'
"refund reques completed."